summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkrolyxon <krolyxon@tutanota.com>2022-09-11 14:01:32 +0530
committerkrolyxon <krolyxon@tutanota.com>2022-09-11 14:01:32 +0530
commit3df92328cd72edd10522dae651f7352543f5e387 (patch)
tree9eb7dbec6711c5a8b248a04c817835c2f3b915aa
parent87bf632f551d1c0be6e783e09676fe89526647b9 (diff)
sbar changed and rm sxhkd
-rw-r--r--.config/paru/paru.conf4
-rwxr-xr-x.config/sxhkd/sxhkdrc35
-rw-r--r--.config/x11/xinitrc5
-rwxr-xr-x.local/bin/sb-mpdup8
-rwxr-xr-x.local/bin/sb-music19
-rwxr-xr-x.local/bin/sbar15
6 files changed, 41 insertions, 45 deletions
diff --git a/.config/paru/paru.conf b/.config/paru/paru.conf
index b3899a0..ded7d4a 100644
--- a/.config/paru/paru.conf
+++ b/.config/paru/paru.conf
@@ -33,7 +33,7 @@ RemoveMake
#
# Binary OPTIONS
#
-#[bin]
-FileManager = lf
+#$[bin]
+#FileManager = lf
#MFlags = --skippgpcheck
#Sudo = doas
diff --git a/.config/sxhkd/sxhkdrc b/.config/sxhkd/sxhkdrc
deleted file mode 100755
index f53543f..0000000
--- a/.config/sxhkd/sxhkdrc
+++ /dev/null
@@ -1,35 +0,0 @@
-#
-# wm independent hotkeys
-#
-#emoji menu
-# super + period
-super + grave
- unicode_emoji
-
-# swap cap if stops working
-super + c
- xset r rate 300 50
-
-# ncmpcpp
-super + shift + n
- $TERMINAL -e ncmpcpp
-
-# Screenshot tool
-Print
- maimshot
-
-# file explorer
-super + shift + f
- pcmanfm
-
-# web browser
-super + shift + b
- firefox
-
-# make sxhkd reload its configuration files:
-super + Escape
- pkill -USR1 -x sxhkd
-
-# Volume
-XF86Audio{RaiseVolume,LowerVolume,Mute}
- pamixer -{i,d,t} 2; kill -34 $(cat ~/.cache/pidofbar)
diff --git a/.config/x11/xinitrc b/.config/x11/xinitrc
index f523982..6f1e169 100644
--- a/.config/x11/xinitrc
+++ b/.config/x11/xinitrc
@@ -1,13 +1,10 @@
#!/bin/sh
#setwall &
-xwallpaper --zoom ~/.local/share/wallpaper.jpg
+xwallpaper --zoom ~/.local/share/wallpaper.jpg &
xcompmgr &
xset r rate 300 50
sbar &
dunst &
-sxhkd &
-# setxkbmap -option caps:swapescape
# exec dwm > /dev/null 2>&1
while type dwm > /dev/null ; do dwm && continue || break ; done
-$exec dwm
diff --git a/.local/bin/sb-mpdup b/.local/bin/sb-mpdup
new file mode 100755
index 0000000..f67663a
--- /dev/null
+++ b/.local/bin/sb-mpdup
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+# This loop will update the mpd statusbar module whenever a command changes the
+# music player's status. mpd must be running on X's start for this to work.
+
+while : ; do
+ mpc idle >/dev/null && kill -44 $(cat ~/.cache/pidofbar) || break
+done
diff --git a/.local/bin/sb-music b/.local/bin/sb-music
new file mode 100755
index 0000000..7ea7032
--- /dev/null
+++ b/.local/bin/sb-music
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+filter() { mpc | sed "/^volume:/d;s/\\&/&amp;/g;s/\\[paused\\].*/⏸/g;/\\[playing\\].*/d;/^ERROR/Q" | paste -sd ' ' -;}
+
+pidof -x sb-mpdup >/dev/null 2>&1 || sb-mpdup >/dev/null 2>&1 &
+
+case $BLOCK_BUTTON in
+ 1) mpc status | filter ; setsid -f "$TERMINAL" -e ncmpcpp ;; # right click, pause/unpause
+ 2) mpc toggle | filter ;; # right click, pause/unpause
+ 3) mpc status | filter ; notify-send "🎵 Music module" "\- Shows mpd song playing.
+- ⏸ when paused.
+- Left click opens ncmpcpp.
+- Middle click pauses.
+- Scroll changes track.";; # right click, pause/unpause
+ 4) mpc prev | filter ;; # scroll up, previous
+ 5) mpc next | filter ;; # scroll down, next
+ 6) mpc status | filter ; "$TERMINAL" -e "$EDITOR" "$0" ;;
+ *) mpc status | filter ;;
+esac
diff --git a/.local/bin/sbar b/.local/bin/sbar
index de324e4..c26f46b 100755
--- a/.local/bin/sbar
+++ b/.local/bin/sbar
@@ -17,6 +17,10 @@ update_time () {
time="$(date "+[  %a %d %b ] [  %I:%M %P ]")"
}
+update_music () {
+ music="[ $(sb-music) ] "
+}
+
# update_bat () {
# # you might need to change the path depending on your device
# read -r bat_status </sys/class/power_supply/BAT1/status
@@ -37,16 +41,17 @@ update_vol () {
# modules that don't update on their own need to be run at the start for getting their initial value
-update_vol
+# update_vol
display () {
- #printf "%s\n" " $event [$weather] [$memory $cpu] [$bat] [$backlight] [$vol] $time "
- xsetroot -name " [ $vol ] [ $memory $cpu ] $time "
+ #printf "%s\n" " $event [$memory $cpu] [$bat] [$backlight] [$vol] $time "
+ xsetroot -name "$music[ $vol ] [ $memory $cpu ] $time "
}
# SIGNALLING
# trap "<function>;display" "RTMIN+n"
trap "update_vol;display" "RTMIN"
+trap "update_music;display" "RTMIN+10"
# trap "update_bat;display" "RTMIN+2"
# to update it from external commands
## kill -m "$(cat ~/.cache/pidofbar)"
@@ -58,8 +63,10 @@ do
# to update item ever n seconds with a offset of m
## [ $((sec % n)) -eq m ] && udpate_item
[ $((sec % 5 )) -eq 0 ] && update_time # update time every 5 seconds
+ [ $((sec % 5 )) -eq 0 ] && update_vol # update vol every 5 seconds
+ [ $((sec % 5 )) -eq 0 ] && update_music # update music every 5 seconds
[ $((sec % 5)) -eq 0 ] && update_cpu # update cpu every 15 seconds
- [ $((sec % 15)) -eq 0 ] && update_memory
+ [ $((sec % 5)) -eq 0 ] && update_memory
# [ $((sec % 60)) -eq 0 ] && update_bat
#[ $((sec % 300)) -eq 1 ] && update_event